import pandas as pd
import matplotlib.pyplot as plt

# Carregar a tabela de vendas
dados = pd.read_excel('controle_de_vendas.xlsx', sheet_name='Vendas')

# Agrupar as vendas por cidade
vendas_por_cidade = dados.groupby('Cidade')['Valor Total'].sum()

# Exibir resultados
# print(vendas_por_cidade)

# Converter dados para um DataFrame
vendas_por_cidade_df = vendas_por_cidade.reset_index()
# print(vendas_por_cidade_df)

# Criar um gráfico com barras
plt.bar(vendas_por_cidade_df['Cidade'], vendas_por_cidade_df['Valor Total'])

# Adicionar título e rótulo
plt.title('Vendas por Cidade')
plt.xlabel('Cidade')
plt.ylabel('Valor Total R$')

# Rotacionar Rótulos
plt.xticks(rotation = 45, ha='right')

# Ajustar layout para evitar cortes
plt.tight_layout()

# Salvar o gráfico como PDF
plt.savefig("vendas_por_cidade.pdf", format="pdf")

# Exibir Gráfico
plt.show()
